import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.Serializable;
import java.beans.*;


/**Schnittstelle Serializable ist in Oberklasse Component bereits implementiert*/
public class BasisBean extends JPanel
{
    /**<h4>
    Alle Java-Beans sollen eine eindeutige ID-Erhalten, um sie leichter bei der Verarbeitung von
    Ereignissen ansprechen zu k&ouml;nnen.
    </h4>
    */
    private String ID = null;

    public void setID(String ID)
    {
        this.ID = ID;
    }

    public String getID()
    {
        return ID;
    }

    /**<h4>Wird bei internen Ver&auml;nderungen aufgerufen und kann bei Bedarf so angepasst werden, dass
    auf innere Ereignisse durch &auml;ussere Reaktionen reagiert wird.<br/>
    Beispiel: Summiert Inhalt von Zahlenfeldern auf, wenn es selbst als Zahlenfeld ver&auml;ndert wird und
    schickt das Ergenis an ein Ergebniszahlenfeld.
    </h4>*/
    public void propertyChange(PropertyChangeEvent evt) 
    {
        System.out.println("Name der Eigenschaft:"+evt.getPropertyName());
        System.out.println("Alter Wert:"+evt.getOldValue());
        System.out.println("Neuer Wert:"+evt.getNewValue());
    }        
}

