import java.applet.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;
import java.beans.*;

/**
 *  DoubleParameterBean.java  - A bean to set double-values using a texfield or a Scrollbar.
 *  Copyright (C) 2011 Guido Kramann
 *  kramann@fh-brandenburg.de
 *  http://www.kramann.info
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
public class BasisInternesFenster extends JInternalFrame implements PropertyChangeListener 
{
    private String ID = null;

    public void setID(String ID)
    {
        this.ID = ID;
    }

    public String getID()
    {
        return ID;
    }

    public BasisInternesFenster()
    {
        getContentPane().addContainerListener(new ContainerLauscher(this));
    }

    public Component getComponentByID(String ID)
    {
        for(Component komponente : getContentPane().getComponents() )
            if(((BasisBean)komponente).getID()!=null && ((BasisBean)komponente).getID().equals(ID))
                return komponente;
        return null;
    }

    /** Diese Methode in erbenden Klassen &uuml;berschreiben.*/
    public void propertyChange(PropertyChangeEvent evt) 
    {
        System.out.println("Ereignisname:"+evt.getPropertyName());   
    }    

    /**Fenster registriert seinen PropertyChangeListener bei allen 
    ihm hinzugef&uuml;gten Komponenten:*/
    public class ContainerLauscher implements ContainerListener
    {
        public BasisInternesFenster fenster = null;
 
        public ContainerLauscher(BasisInternesFenster fenster)
        {
            this.fenster = fenster;
        }

        public void componentAdded(ContainerEvent e)
        {
            Component komponente = e.getChild(); 
            komponente.addPropertyChangeListener(fenster);
            //keine automatische ID-Vergabe
        }
        public void componentRemoved(ContainerEvent e)
        {
            Component komponente = e.getChild(); 
            komponente.removePropertyChangeListener(fenster);
        }
    }    
}
